<?php 
function vrcelec1($docu,$idnum,$formato)
{
		require('../cfg/res.php');
		require('../../_lib/vrnumlet2.php');
		$sql_tabla='select *from docu0 where docu_codigo="'.$docu.'"';
		$res_tabla=mysql_query($sql_tabla,$link_vcrx);
		
		$sql_empr='select *from empr1';
		$res_empr=mysql_query($sql_empr,$link_vcrx);
		
		
		
		$tabla=mysql_result($res_tabla,0,'docu_tabla');
		$tabla=strtolower($tabla);

		if (mb_stristr('clie',substr($_SESSION['user_vcrx_tipo'],0,4)))
		{
			if (substr($docu,0,1)=='O')
			{
			$tabla='clie';
			}
	
			if (substr($docu,0,1)=='F')
			{
			$tabla='vtas';
			}
		}

		if (mb_stristr('prov',substr($_SESSION['user_vcrx_tipo'],0,4)))
		{
			if (substr($docu,0,1)=='O')
			{
			$tabla='prov';
			}
	
			if (substr($docu,0,1)=='F')
			{
			$tabla='comp';
			}
			if (substr($docu,0,1)=='R')
			{
			$tabla='retp';
			}
		}


		
		$sql_tran1='select *from '.$tabla.'11 where idnum1="'.$idnum.'"';
		if (mb_stristr('clie.prov',substr($_SESSION['user_vcrx_empr'],0,4))){	$sql_tran1.='and enti like "'.$_SESSION['user_vcrx_empr'].'%"';}
		$res_tran1=mysql_query($sql_tran1,$link_vcrx);



		$sql_tran2='select *from '.$tabla.'12 where idnum1="'.$idnum.'" order by item_nctlg desc, item_pctlg, item ';
		$res_tran2=mysql_query($sql_tran2,$link_vcrx);
		
		$sql_tran3='select * from '.$tabla.'12 where idnum1="'.$idnum.'" and item like "%TRAN%"';
		$res_tran3=mysql_query($sql_tran3,$link_vcrx);
		$xenvioa=1;


		if (mb_stristr('gnya',$_SESSION['user_vcrx_empr']))
		{
		$xdrtr=mysql_result($res_tran2,0,'drtr');
		if (!empty($xdrtr))
		{
		$sql_drtr='select *from enti00 where enti_codigo="'.$xdrtr.'"';
		$res_drtr=mysql_query($sql_drtr,$link_vcrx);
		if(mysql_num_rows($res_drtr)!=0)
		{$xdrtr=mysql_result($res_drtr,0,'enti_descri');}
		}
		}		

		if(mysql_num_rows($res_tran3)!=0)
		{
			$xtran=mysql_result($res_tran3,0,'puni');
			if($xtran==1)
			{
				$xenvioa=2;
				$entienvio=mysql_result($res_tran1,0,'enti_referidox');
				
			}
			else
			{
				
				$xenvioa=3;
				$entienvio=mysql_result($res_tran1,0,'enti');

			}
			
			if (empty($xentienvio))
			{
				$entienvio=mysql_result($res_tran1,0,'drtr');
			}
			
			$sql_envioa='select *from enti00 where enti_codigo="'.$entienvio.'"';
			$res_envioa=mysql_query($sql_envioa,$link_vcrx);
			
                       
                        if(mysql_num_rows($res_envioa)!=0)
			{
				$envio_descri=mysql_result($res_envioa,0,'enti_descri');
				$envio_ciudad=mysql_result($res_envioa,0,'prvc_descri').' /'.mysql_result($res_envioa,0,'cdad_descri');
				$envio_direcc=trim(mysql_result($res_envioa,0,'enti_direccion')) .' /'.trim(mysql_result($res_envioa,0,'enti_calle1')) .' /'.trim(mysql_result($res_envioa,0,'enti_callen')) .' /'.trim(mysql_result($res_envioa,0,'enti_calle2')) .' /'.trim(mysql_result($res_envioa,0,'enti_calle3'));
				$envio_tlfn=mysql_result($res_envioa,0,'enti_telefono');
			}
			else
			{
				$envio_descri='-';
				$envio_ciudad='-';
				$envio_direcc='-';
				$envio_tlfn='-';
				
			}



		}
		
		$sql_enti='select *from enti00 where enti_codigo="'.mysql_result($res_tran1,0,'enti').'"';
		$res_enti=mysql_query($sql_enti,$link_vcrx);
		

		
		$sql_drtr='select *from drtr0 where left(enti_codigo,10) like "'.$_SESSION['user_vcrx_id'].'%"';
		$res_drtr=mysql_query($sql_drtr,$link_vcrx);
		$drtr=0;
	
		if (mb_stristr('gnya',substr($_SESSION['user_vcrx_empr'],0,4)))
		{
			if (mysql_num_rows($res_drtr)!=0){$drtr=1;}
		}


		$sql_drtr='select *from enti0 where enti_codigo="'.mysql_result($res_enti,0,'enti_referidox').'"';
		$res_drtr=mysql_query($sql_drtr,$link_vcrx);
		$xcelec='vtas.comp.guia.retc.retp.cont';

   
require('fpdf.php');
$pdf = new FPDF('P','mm','A4');
$pdf->AddPage();
$pdf->SetFont('Courier','B',8);

$pdf->Cell(47,5,'E M I S O R','LRTB',0,'C',false);
$pdf->Cell(47,5,'','LRTB',0,'L',false);
$pdf->Cell(2,5,'','',0,'c',false);
$pdf->Cell(47,5,'DATOS DEL COMPROBANTE','LRTB',0,'C',false);
$pdf->Cell(47,5,'','LRTB',0,'R',false);
$pdf->Ln();

$pdf->SetFont('Courier','',6);
$pdf->Cell(47,5,'RUC','LRTB',0,'L',false);
$pdf->Cell(47,5,mysql_result($res_empr,0,'enti_codigo'),'LRTB',0,'L',false);
$pdf->Cell(2,5,'','',0,'c',false);
$pdf->Cell(47,5,'FACTURA:','LRTB',0,'R',false);
$pdf->Cell(47,5,mysql_result($res_tran1,0,'ptonumero'),'LRTB',0,'R',false);
$pdf->Ln();


$pdf->SetFont('Courier','',6);
$pdf->Cell(47,5,'RAZON SOCIAL','LRTB',0,'L',false);
$pdf->Cell(47,5,mysql_result($res_enti,0,'enti_razsoc'),'LRTB',0,'L',false);
$pdf->Cell(2,5,'','',0,'c',false);
$pdf->Cell(47,5,'FECHA:','LRTB',0,'R',false);
		$xfecha19=mysql_result($res_tran1,0,'fechadmy');
		if(mysql_result($res_tran1,0,'ptoe')=="001001"){

		if (mysql_result($res_tran1,0,'fecha')>="2015-11-19" and mysql_result($res_tran1,0,'numero')<="000049750")
		{$xfecha19='19/Nov/15';}}
$pdf->Cell(47,5,$xfecha19,'LRTB',0,'R',false);
$pdf->Ln();


$pdf->SetFont('Courier','',6);
$pdf->Cell(47,5,'RAZON COMERCIAL','LRTB',0,'L',false);
$pdf->Cell(47,5,mysql_result($res_empr,0,'enti_nomcom'),'LRTB',0,'L',false);
$pdf->Cell(2,5,'','',0,'c',false);
$pdf->Cell(47,5,'VENCE:','LRTB',0,'R',false);
		$xfecha19=mysql_result($res_tran1,0,'vencedmy');
		if(mysql_result($res_tran1,0,'ptoe')=="001001"){

		if (mysql_result($res_tran1,0,'fecha')>="2015-11-19" and mysql_result($res_tran1,0,'numero')<="000049750")
		{$xfecha19='19/Nov/15';}}
		

$pdf->Cell(47,5,$xfecha19,'LRTB',0,'R',false);
$pdf->Ln();






$pdf->Cell(190,2,'','',0,'c',false);
$pdf->Ln();



$pdf->Output();
}
?>